VIOCON(4)

NAME
viocon - VirtIO console device

SYNOPSIS
viocon* at virtio?

DESCRIPTION
The viocon driver provides support for the virtio(4) console interface provided by KVM, QEMU, and others.

It provides serial ports that are attached as ttys. Use as a kernel console for OpenBSD is not yet supported. The multiport feature is not yet supported.

FILES
/dev/ttyVI00
/dev/ttyVI10
/dev/ttyVI20
/dev/ttyVI30
/dev/ttyVI40

SEE ALSO
intro(4), tty(4), virtio(4)

HISTORY
The viocon driver first appeared in OpenBSD 5.9.

AUTHORS
-nosplit The viocon driver was written by Stefan Fritsch <sf@sfritsch.de>.